Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063377 - [RFE] Make it possible to recover from setup failure when the engine VM is installed and running
Summary: [RFE] Make it possible to recover from setup failure when the engine VM is in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-hosted-engine-setup
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Sandro Bonazzola
QA Contact: Leonid Natapov
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 15:20 UTC by Martin Sivák
Modified: 2015-10-02 14:36 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-08 14:02:38 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1002454 None None None Never

Internal Links: 1002454

Description Martin Sivák 2014-02-10 15:20:01 UTC
Description of problem:

I used F19 with old libvirt and the setup crashed (taking screen session with it), VM with running engine was killed and all of this because the injected host reported that is does not support required Cluster level.

I fixed this on the hypervisor node and tried to find a way to repeat just the last steps of ovirt-hosted-engine-setup.. and I discovered that there is no way to do that apart from installing the VM again.

RFE:

Create setup recovery scenarios (documentation, code or both) to recover from a situation like this without having to reinstall the whole thing.

Comment 1 Doron Fediuck 2014-04-29 12:16:24 UTC
or this use case we have most of the infrastructure in place.
Targeting to 3.5.

Comment 2 Sandro Bonazzola 2014-06-17 08:55:08 UTC
An answer file is generated at validation stage before changing the system state, including before starting the VM.
If the user run "hosted-engine --deploy --config-append=/etc/ovirt-hosted-engine/answer.conf" question are answered automatically.
If the disk image has not been deleted from the within the storage domain, it will be reused by the VM preserving the content if boot is pxe or cdrom, overwritten in boot is from ovf.
User just need to confirm that OS have been installed on first checkpoint and rhevm has been installed at second checkpoint and if rhevm was really installed and able to run everything is already in place without any more action needed.
Is this enough? If so, we can move this to closed, current release, target 3.4.0.

Comment 3 Sandro Bonazzola 2014-07-08 14:02:38 UTC
Closing as current release as per comment #2. Please reopen if current solution is not considered good enough, proposing a different solution.


Note You need to log in before you can comment on or make changes to this bug.